PAGE 60,132
.8086
.SALL
if1
   include csgmacro.inc
endif
;-------------------- Language Interface -------------------------
; Note: This module is not intended to be used with Turbo Pascal
;	The language definition is included for macro reasons.
; Choices:
MICROSOFT	EQU	0
RYAN_MCFARLAND	EQU	1
TURBO_PASCAL	EQU	2
GPX_DRIVER	EQU	3
;
LANGUAGE	EQU	MICROSOFT
;
;-------------------- Code Segment Definition --------------------
START_CODE_SEG	LANGUAGE,TKMOUS
; ****************************************************************
; ASSEMBLY ROUTINE TKMOUS( m1 , m2 , m3 , m4 )
; This routine is used to access the Microsoft mouse device driver.
; Entry:
;	m1-m4 correspond to the variables outlined in the
;	Microsoft mouse reference manual.
; ----------------------------------------------------------------
ENTERP	TKMOUS,FarPro,<ax,bx,cx,dx,es>
; ----- load registers
	GET_ARG ax,1,4
	GET_ARG bx,2,4
	GET_ARG cx,3,4
	GET_ARG dx,4,4
; ----- check mouse
	int	51
; ----- return values
	push	bx
	;
	SET_ESOFBX 1,4
	mov	es:[bx],ax
	;
	SET_ESOFBX 2,4
	pop	ax
	mov	es:[bx],ax
	;
	SET_ESOFBX 3,4
	mov	es:[bx],cx
	;
	SET_ESOFBX 4,4
	mov	es:[bx],dx
	;
EXITP	TKMOUS,FarPro,<es,dx,cx,bx,ax>,4
; ----------------------------------------------------------------
END_CODE_SEG
	end
